/*
	\author Matt English
	\date 9/20/06
	\brief
		This file is the form for the new level form created after clicking the new level button

		All content copyright  2006 DigiPen(USA) Corporation
*/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DirectX_Tutorial;
using ns_Spheres;

namespace ns_Controls
{
    public partial class NewLevel : Form
    {
        private DirectX_Tutorial.WinForm winFormref;
        private System.Windows.Forms.ColorDialog colorDlg;
        SphereData tempSphereRef;
        WinForm tempRef;
       /*!
           Default constructor for the NewLevel Class

           \author
               Matt English
       */

        public NewLevel(ref SphereData t)
        {
            InitializeComponent();
            colorDlg = new System.Windows.Forms.ColorDialog();
            colorDlg.Color = Color.White;
            colorDlg.AnyColor = true;
            colorDlg.AllowFullOpen = true;
            tempSphereRef = t;
        }
        /*!
           Constructor for the NewLevel class
         * 
         * \param wfref
         *      the originator form

           \author
               Matt English
       */
        public NewLevel(DirectX_Tutorial.WinForm wfref, ref SphereData t, WinForm tb)
        {
            InitializeComponent();
            winFormref = wfref;
            colorDlg = new System.Windows.Forms.ColorDialog();
            colorDlg.Color = Color.White;
            colorDlg.AnyColor = true;
            colorDlg.AllowFullOpen = true;
            tempSphereRef = t;
            tempRef = tb;
        }

        private void Button_OK_Click(object sender, EventArgs e)
        {
            int imass, iradius;
            float fvelx, fvely, fvelz;
			string width = TextBox_Mass.Text;
            if (width.Length > 0)
                imass = System.Convert.ToInt32(width);
            else
            {
                this.Close();
                return;
            }
			string height = TextBox_Radius.Text;
            if(height.Length > 0)
			    iradius = System.Convert.ToInt32(height);
            else
            {
                this.Close();
                return;
            }
            string velx = textBox_VelocityX.Text;
            if (velx.Length > 0)
                fvelx = System.Convert.ToSingle(velx);
            else
            {
                fvelx = 0;
            }
            string vely = textBox_VelocityY.Text;
            if (vely.Length > 0)
                fvely = System.Convert.ToSingle(vely);
            else
            {
                fvely = 0;
            }
            string velz = textBox_VelocityZ.Text;
            if (velz.Length > 0)
                fvelz = System.Convert.ToSingle(velz);
            else
            {
                fvelz = 0;
            }
			//Create the tempSphere
            tempSphereRef.col = colorDlg.Color;
            tempSphereRef.mass = imass;
            tempSphereRef.radius = iradius;
            tempSphereRef.velocity.X = fvelx;
            tempSphereRef.velocity.Y = fvely;
            tempSphereRef.velocity.Z = fvelz;
			tempRef.cModelLoader.UpdateTempSphere(ref tempSphereRef);
            tempRef.tempSphereInUse = true;
            this.Close();
        }

        private void NewLevel_Load(object sender, EventArgs e)
        {

        }

        private void Button_Color_Click(object sender, EventArgs e)
        {
            colorDlg.ShowDialog();
        }

        private void Button_Cancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}