using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using Microsoft.DirectX;


namespace ns_Spheres
{
    /*
     * SphereData is the class for the spheres
     */
    public class SphereData
    {
        public float radius, mass;
        public int modelIndex;
        public Vector3 position, velocity;
        public Color col;
		public SphereData()
        {
            mass = 0;
            radius = 0;
            position = new Vector3(0, 0, 0);
            velocity = new Vector3(0, 0, 0);
            col = Color.White;
        }
		public SphereData(SphereData s)
		{
			radius = s.radius;
			mass = s.mass;
			modelIndex = s.modelIndex;
			position = s.position;
            velocity = s.velocity;
			col = s.col;
		}
    }
    /*
     * Spheres contains and creates the Spheres, which are represented by SphereData objects
     */
    public class Spheres
    {
        private DirectX_Tutorial.ModelLoader cModelLoader;
        public System.Collections.ArrayList m_spheres = new System.Collections.ArrayList(10);
        public SphereData tempSphere;      //sphere used as a place holder when positioning sphere
        public Spheres(ref DirectX_Tutorial.ModelLoader m)
        {
            cModelLoader = m;
            tempSphere = new SphereData();
            tempSphere.radius = 10;
            tempSphere.modelIndex = cModelLoader.NewSphere(tempSphere.radius, Color.White);
        }
        /*!
	        Creates a permanent sphere out of tempSphere

	        \author
		        Matt English
        */
        public void CreateSphere()
        {
			SphereData temp = new SphereData(tempSphere);
			//temp = tempSphere;
			temp.modelIndex = cModelLoader.NewSphere(temp.radius, tempSphere.col);
			m_spheres.Add(temp);
			/*int tempi = tempSphere.modelIndex;
			tempSphere.modelIndex = cModelLoader.NewSphere(tempSphere.radius);
            m_spheres.Add(tempSphere);
			tempSphere.modelIndex = tempi;*/
        }
    }
}
