using System;
using System.Collections.Generic;
using System.Text;
using DX = Microsoft.DirectX;
using D3D = Microsoft.DirectX.Direct3D;

namespace DirectX_Tutorial
{
    class Text
    {
        private System.Drawing.Font sysFont;
        private System.Drawing.FontFamily fontFamily;
        private D3D.Font d3dFont;
        public Text(D3D.Device dev)
        {
            fontFamily = new System.Drawing.FontFamily("Arial");
            sysFont = new System.Drawing.Font(fontFamily, 16, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            d3dFont = new D3D.Font(dev, sysFont);
        }
        public void DrawFPS(double frameTime, long freq)
        {
            string fpsText = "FPS: ";
            double dfps = 1 / frameTime;
            System.Drawing.Point pos = new System.Drawing.Point(8, 5);
            string fps = dfps.ToString();
            d3dFont.DrawText(null, fpsText + fps, pos, System.Drawing.Color.White);
        }
        public void DrawIntegrator(Integrator i)
        {
            string temp = i.ToString();
            System.Drawing.Point pos = new System.Drawing.Point(8, 30);
            d3dFont.DrawText(null, temp, pos, System.Drawing.Color.White);
        }
    }
}
