using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.ComponentModel;
using System.Threading;

namespace ns_Timer
{
    public class cTimer
    {
        [DllImport("Kernel32.dll")]
        private static extern bool QueryPerformanceCounter(
            out long lpPerformanceCount);

        [DllImport("Kernel32.dll")]
        private static extern bool QueryPerformanceFrequency(
            out long lpFrequency);

        public cTimer()
        {
            lastFrameTime = 0;
            pause = false;

            if (QueryPerformanceFrequency(out freq) == false)
            {
                // high-performance counter not supported
                throw new Win32Exception();
            }
        }
        /*
         * Pauses or unpauses the timer
        */
        public void PauseTimer()
        {
            if (pause == true)
                pause = false;
            else
                pause = true;
        }
        //call every update
        public double GetFrameTimer()
        {
            long temp;
            QueryPerformanceCounter(out temp);
            double ret = temp - lastFrameTime;
            lastFrameTime = temp;
            return (ret/freq);
        }
        private long lastFrameTime;
        public long freq;
        bool pause;
    }
}
