/*
	\author Matt English
	\date 9/14/06
	\brief
		The file containg the level format class

		All content copyright  2006 DigiPen(USA) Corporation
*/
using System;
using System.Collections.Generic;
using System.Text;

/*struct Vector3D
{
    public int x, y, z;
}*/
namespace lvlformat
{
    class clvlformat
    {
        public int width, height;
        public int[,] heightMap;
        public int numOfSpawnVerts;
        public System.Collections.ArrayList spawnVertices;
        public Microsoft.DirectX.Vector3 castleLoc;
        public bool castleSpawned;
        /*!
	        The default constructor for the clvlformat class

	        \author
		        Matt English
        */
        public clvlformat()
        {
            spawnVertices = new System.Collections.ArrayList();
            //use 255 x 255 as the default size for the heightmap
            this.width = 255;
            this.height = 255;
            heightMap = new int[255, 255];
            for(int i=0; i < 255; ++i)
            {
                for(int j=0; j < 255; ++j)
                {
                    heightMap[i, j] = 0;
                }
            }
            numOfSpawnVerts = 0;
            castleSpawned = false;
        }
        /*!
            Constructor for the clvlformat class with takes a width and height
         * 
         * \param width
         *      the width of the level
         * 
         * \param height
         *      the height of the level

            \author
                Matt English
        */
        public clvlformat(int width, int height)
        {
            spawnVertices = new System.Collections.ArrayList();
            this.width = width;
            this.height = height;
            heightMap = new int[width, height];
            for (int i = 0; i < width; ++i)
            {
                for (int j = 0; j < height; ++j)
                {
                    heightMap[i, j] = 0;
                }
            }
            numOfSpawnVerts = 0;
            castleSpawned = false;
        }
    }
}
